Download 4.0.7 Release
July 11, 2014

IBM Rational Requirements Composer

Definition Management Analysis

Rational Requirements Composer 3.0.1.6 interim fix 8

Product Release / Trial | September 30, 2016
Rational Requirements Composer 3.0.1.6 interim fix 8 Release Notes

Rational Requirements Composer 3.0.1.6 interim fix 8 Release Notes

This interim fix is a service release of Rational Requirements Composer, Version 3.0.1. For information about documentation and support resources, software and hardware requirements, and installation or upgrade steps, see the Getting Started page.

Use the queries below to see the important fixes and issues in the release. Be sure to also read the Jazz Foundation 3.0.1.6 interim fix 8 Release Notes, the Rational Team Concert 3.0.1.6 interim fix 8 Release Notes, and the Rational Quality Manager 3.0.1.6 interim fix 8 Release Notes.

Fixes in this release

This release does not contain defect fixes.

Known Issues in 3.0.1.6 interim fix 8

3.0.1.6 interim fix 8 includes Installation Manager (IM) version 1.5.3.
If you are using the 3.0.1.6 interim fix 8 product launchpad on systems with newer versions of Installation Manager installed, it might be necessary to apply steps from Workaround: IBM Installation Manager installed on machine is incompatible with the version included in Jazz downloads.

When Rational Requirements Composer is deployed in a distributed environment, the initial login fails on Internet Explorer 8
If Rational Requirements Composer is deployed in a distributed topology where the RM application and Jazz Team Server are in separate application containers, users might experience a problem when they initially try to log in to Rational Requirements Composer on Internet Explorer 8. In particular, the login fails with this error: Invalid path to authentication servlet.: /.

To work around this problem, refresh the browser and try to log in again. When you try to log in again, a "collaborate with server..." prompt is shown, which you can use to communicate with Jazz Team Server and proceed past the login sequence. Alternatively, you can avoid the problem by using a different browser, such as Internet Explorer 7 or Firefox 17 ESR.

Remote requirements dashboard widgets cannot be viewed after upgrading Rational Requirements Composer from 2.x to 3.0.1.6 interim fix 8
After you upgrade from a release of version 2 to version 3.0.1.6 interim fix 8, you might experience a problem viewing a remote requirements widget on a dashboard. This problem occurs only when all of the following statements are true:

  1. You have two or more Change and Configuration Management (CCM) 3.0 applications associated with one 3.0 Jazz Team Server.
  2. You first upgraded Jazz Team Server and one of the CCM 3.0 applications to version 3.0.1.6 interim fix 8.
  3. Before you upgraded the RM application to 3.0.1.6 interim fix 8, you added a remote requirements widget to one of the project or team area dashboards in the CCM 3.0 application.
  4. You then upgraded the RM application from 2.x to 3.0.1.6 interim fix 8. At this point, the remote widget will be broken.

To correct the issue, go to the following URL and click Update:

public-URL-for-the-JTS-associated-with-the-CCM-application/dashboards/update

The widgets on all dashboards that are associated with Jazz Team Server will be fixed.

Known problems and workarounds

For a list of the known problems and workarounds that are published as jazz.net workaround articles, view the Rational Requirements Composer V3.0.1.6 workaround articles jazz.net query.